#создаем папки для драйвера, если они не созданы
# sudo mkdir -p /usr/local/lib  /usr/local/include
# - второй лучший вариант
DIRLOCAL=/usr/local
if [ ! -d "$DIRLOCAL" ]; then
sudo mkdir $DIRLOCAL
fi

DIRLIB=/usr/local/lib
if [ ! -d "$DIRLIB" ]; then
    sudo mkdir $DIRLIB
fi

DIRINCLUDE=/usr/local/include
if [ ! -d "$DIRINCLUDE" ]; then
    sudo mkdir $DIRINCLUDE
fi

#копируем файлы драйвера и создаем символьную библиотеку
FILE1=/usr/local/lib/libftd2xx.1.2.2.dylib
FILE2=/usr/local/lib/libftd2xx.dylib
FILE3=/usr/local/include/ftd2xx.h
FILE4=/usr/local/include/WinTypes.h

if [ -e $FILE1 ]; then
   sudo rm $FILE1
fi

if [ -e $FILE2 ]; then
   sudo rm $FILE2
fi

if [ -e $FILE3 ]; then
   sudo rm $FILE3
fi

if [ -e $FILE4 ]; then
   sudo rm $FILE4
fi

sudo cp ~/Desktop/DriverTornado/libftd2xx.1.2.2.dylib /usr/local/lib/libftd2xx.1.2.2.dylib
sudo ln -sf /usr/local/lib/libftd2xx.1.2.2.dylib /usr/local/lib/libftd2xx.dylib
sudo cp ~/Desktop/DriverTornado/ftd2xx.h /usr/local/include/ftd2xx.h
sudo cp ~/Desktop/DriverTornado/WinTypes.h /usr/local/include/WinTypes.h

#Устанавливаем программу TornadoA1
DIRAPP=/Applications/TornadoA1.app
if [ -d "$DIRAPP" ]; then
sudo rm -R $DIRAPP
fi
sudo cp -r ~/Desktop/DriverTornado/TornadoA1.app /Applications/TornadoA1.app

#Устанавливаем программу GMM
DIRAPPgmm=/Applications/GraphicMIDI.app
if [ -d "$DIRAPPgmm" ]; then
sudo rm -R $DIRAPPgmm
fi
sudo cp -r ~/Desktop/DriverTornado/GraphicMIDI.app /Applications/GraphicMIDI.app

#Удаляем файлы
#sudo rm ~/Desktop/DriverTornado/WinTypes.h ~/Desktop/DriverTornado/libftd2xx.1.2.2.dylib ~/Desktop/DriverTornado/ftd2xx.h
#sudo rm -R ~/Desktop/DriverTornado/TornadoA1.app

#turn off VCPort drive for FT232R
DIRAPPLE=/System/Library/Extensions/IOUSBFamily.kext/Contents/Plugins/AppleUSBFTDI.disabled
DIRKEXT=/System/Library/Extensions/IOUSBFamily.kext/Contents/Plugins/AppleUSBFTDI.kext

if [ -d "$DIRKEXT" ]; then
if [ -d "$DIRAPPLE" ]; then
sudo rm -R $DIRAPPLE
fi
#sudo mv $DIRKEXT $DIRAPPLE
cd /System/Library/Extensions/IOUSBFamily.kext/Contents/Plugins
sudo mv AppleUSBFTDI.kext AppleUSBFTDI.disabled
fi

sudo touch /System/Library/Extensions

#Удаляем файлы
sudo rm -R ~/Desktop/DriverTornado

#Создаем псевдогим в панели запуска
#osascript -e 'tell application "Finder" to make alias file to POSIX file "/Applications/TornadoA1.app" at POSIX file "/Applications/"'
#Создаем псевдогим на десктопе - TornadoA1
osascript -e 'tell application "Finder"' -e 'make new alias to file (posix file "/Applications/TornadoA1.app") at desktop' -e 'end tell'

#Создаем псевдогим на десктопе - GMM
osascript -e 'tell application "Finder"' -e 'make new alias to file (posix file "/Applications/GraphicMIDI.app") at desktop' -e 'end tell'

#Ассоциация с файлом, по двойному клику - запуск
defaults write ~/Library/Preferences/com.apple.LaunchServices/com.apple.launchservices.secure.plist LSHandlers -array-add \
"<dict><key>LSHandlerContentTag</key><string>to_p</string><key>LSHandlerContentTagClass</key><string>public.filename-extension</string><key>LSHandlerPreferredVersions</key><dict><key>LSHandlerRoleAll</key><string>-</string></dict><key>LSHandlerRoleAll</key>
<string>com.globaldj.tornadoa1</string></dict>"

defaults write ~/Library/Preferences/com.apple.LaunchServices LSHandlers -array-add \
"<dict><key>LSHandlerContentTag</key><string>to_p</string><key>LSHandlerContentTagClass</key><string>public.filename-extension</string><key>LSHandlerPreferredVersions</key><dict><key>LSHandlerRoleAll</key><string>-</string></dict><key>LSHandlerRoleAll</key>
<string>com.globaldj.tornadoa1</string></dict>"
